
Runner.pages.PageSettings.addPageEvent( 
	"vw_ris_w", 
	"add", 
	"afterPageReady", 
	function(pageObj, proxy, pageid, inlineRow, inlineObject, row ) {
		var ctrlRequestedAt =
    Runner.getControl(
        pageid,
        "requested_at"
    );

if (ctrlRequestedAt) {

    var now = new Date();

    var mm =
        String(
            now.getMonth() + 1
        ).padStart(2, "0");

    var dd =
        String(
            now.getDate()
        ).padStart(2, "0");

    var yyyy =
        now.getFullYear();

    var hh =
        String(
            now.getHours()
        ).padStart(2, "0");

    var mi =
        String(
            now.getMinutes()
        ).padStart(2, "0");

    ctrlRequestedAt.setValue(
        mm + "/" +
        dd + "/" +
        yyyy + " " +
        hh + ":" +
        mi
    );
}
});







